//
//  SMExpandableHeaderView.h
//  Drawings
//
//  Created by Stephan Michels on 13.10.11.
//  Copyright (c) 2011 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SMExpandableView.h"
#import "SMView.h"

@protocol SMExpandableHeaderViewDelegate;

@interface SMExpandableHeaderView : SMView

@property (nonatomic) SMExpandableViewStyle style;
@property (nonatomic, getter=isExpanded) BOOL expanded;
@property (nonatomic, copy) NSString *title;

@property (nonatomic, weak) id<SMExpandableHeaderViewDelegate> delegate;

@end


@protocol SMExpandableHeaderViewDelegate

-(void)expandableHeaderView:(SMExpandableHeaderView *)headerView didExpand:(BOOL)expanded;

@end