//
//  SMInspectorBoundsProperty.h
//  SMInspectorKit
//
//  Created by Stephan Michels on 09.12.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import "SMInspectorCustomProperty.h"
#import "SMInspectorNumberProperty.h"

@interface SMInspectorBoundsProperty : SMInspectorCustomProperty

@property (nonatomic, strong) NSNumber *increment;
@property (nonatomic, copy) NSString *incrementKeyPath;

@property (nonatomic) SMNumberFormatStyle formatStyle;
@property (nonatomic, copy) NSString *formatUnit;

@property (nonatomic, strong, getter = isFlipped) NSNumber *flipped;
@property (nonatomic, copy) NSString *flippedKeyPath;
@property (nonatomic) BOOL showOriginSelector;

@end
