//
//  SMInspectorProperty+SMHelpers.h
//  InterfaceInspector
//
//  Created by Stephan Michels on 09.06.13.
//  Copyright (c) 2013 Stephan Michels. All rights reserved.
//

#import "SMInspectorProperty.h"

@interface SMInspectorProperty (SMHelpers)

- (id)combinedValueWithValue:(id)value previousValue:(id)previousValue;
- (id)valueForValue:(id)value bitMask:(NSUInteger)bitMask;
- (id)valueForValue:(id)value bits:(NSUInteger)bits;
- (void)updateReflectedValues:(id(^)(id value))block;

@end
