//
//  SMInspectorSlice.h
//  Drawings
//
//  Created by Stephan Michels on 27.07.12.
//
//

#import "SMViewController.h"


@interface SMInspectorSlice : SMViewController

@property (nonatomic, weak, readonly) id owner;
@property (nonatomic) BOOL usesAlternatingBackgroundColors;
@property (nonatomic) BOOL visible;
@property (nonatomic, copy) NSString *visibleKeyPath;
@property (nonatomic, strong) NSValueTransformer *visibleValueTransformer;
@property (nonatomic, copy) NSArray *sections;

- (id)initWithOwner:(id)owner;
- (id)init NS_UNAVAILABLE;
+ (id)new NS_UNAVAILABLE;

- (void)prepareForReuse;
- (void)refresh;

@end
