//
//  SMMagnificationView.h
//  SMFoundation
//
//  Created by Stephan Michels on 26.12.13.
//  Copyright (c) 2013 Stephan Michels. All rights reserved.
//

#import <SMFoundation/SMFoundation.h>

@interface SMMagnificationView : SMView

@property (nonatomic) CGFloat magnificationFactor;
@property (nonatomic) CGFloat minMagnification;
@property (nonatomic) CGFloat maxMagnification;

@property (nonatomic) NSSize contentSize;

- (void)magnifyVisibleRectWithFactor:(CGFloat)newFactor;

- (IBAction)zoomIn:(id)sender;
- (IBAction)zoomOut:(id)sender;
- (IBAction)zoomToActualSize:(id)sender;
- (IBAction)zoomFitInWindow:(id)sender;

@end
