//
//  SMInspectorNumberProperty.h
//  SMInspectorKit
//
//  Created by Stephan Michels on 09.11.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SMInspectorProperty.h"

typedef NS_ENUM(NSUInteger, SMNumberFormatStyle) {
	SMNumberFormatStyleInteger = 0,
	SMNumberFormatStyleDecimal,
};

typedef NS_ENUM(NSUInteger, SMNumberSliderType) {
	SMNumberSliderTypeNone = 0,
	SMNumberSliderTypeCircular,
	SMNumberSliderTypeLinear,
};

@interface SMInspectorNumberProperty : SMInspectorProperty

//@property (nonatomic) BOOL allowsNilValues;
//@property (nonatomic, strong) NSNumber *defaultValue;
//@property (nonatomic) BOOL editable;
//@property (nonatomic, strong) NSNumber *defaultValue;
@property (nonatomic) SMNumberFormatStyle formatStyle;
@property (nonatomic, copy) NSString *formatUnit;
@property (nonatomic) SMNumberSliderType sliderType;

@property (nonatomic, strong) NSNumber *increment;
@property (nonatomic, copy) NSString *incrementKeyPath;
@property (nonatomic, strong) NSNumber *maximum;
@property (nonatomic, copy) NSString *maximumKeyPath;
@property (nonatomic, strong) NSNumber *minimum;
@property (nonatomic, copy) NSString *minimumKeyPath;

//@property (nonatomic, copy) NSString *nilPlaceholder;
@property (nonatomic, copy) NSString *placeholder;

@property (nonatomic) BOOL nilValueControlIsOffWhenNil;
@property (nonatomic, copy) NSString *nonNilValueKeyPath;
@property (nonatomic, copy) NSString *nonNilValueTitle;
//@property (nonatomic) BOOL showsNilValueControl;

//@property (nonatomic, copy) NSString *selectionActionSelector;
//@property (nonatomic, copy) NSString *selectionActionTargetKeyPath;


@end
