//
//  SMMajorEventObservation.h
//  SMMediaLibraryApplication
//
//  Created by Stephan Michels on 07.03.13.
//  Copyright (c) 2013 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SMCancellable.h"

@class SMMajorEventObservation;

typedef void (^SMEventObservationBlock)(SMMajorEventObservation *observation, NSEvent *event);

@interface SMMajorEventObservation : NSObject <SMCancellable>

+ (instancetype)observationWithBlock:(SMEventObservationBlock)block;

@end
